# Interface Distributor

All Known Implementing Classes:
  `DefaultDistributor`

@UML(identifier="MD_Distributor", specification=ISO_19115) public interface Distributor
Information about the distributor.

Since:
  2.0

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Collection<? extends StandardOrderProcess>`
  `getDistributionOrderProcesses()`
  Provides information about how the resource may be obtained, and related instructions and fee information.
  `ResponsibleParty`
  `getDistributorContact()`
  Party from whom the resource may be obtained.
  `Collection<? extends Format>`
  `getDistributorFormats()`
  Provides information about the format used by the distributor.
  `Collection<? extends DigitalTransferOptions>`
  `getDistributorTransferOptions()`
  Provides information about the technical means and media used by the distributor.

- ## Method Details

  - ### getDistributorContact

    @UML(identifier="distributorContact", obligation=MANDATORY, specification=ISO_19115) ResponsibleParty getDistributorContact()
    Party from whom the resource may be obtained. This list need not be exhaustive.
    Returns:
      Party from whom the resource may be obtained.

  - ### getDistributionOrderProcesses

    @UML(identifier="distributionOrderProcess", obligation=OPTIONAL, specification=ISO_19115) Collection<? extends StandardOrderProcess> getDistributionOrderProcesses()
    Provides information about how the resource may be obtained, and related instructions and fee information.
    Returns:
      Information about how the resource may be obtained.

  - ### getDistributorFormats

    @UML(identifier="distributorFormat", obligation=CONDITIONAL, specification=ISO_19115) Collection<? extends Format> getDistributorFormats()
    Provides information about the format used by the distributor.
    Returns:
      Information about the format used by the distributor.

  - ### getDistributorTransferOptions

    @UML(identifier="distributorTransferOptions", obligation=OPTIONAL, specification=ISO_19115) Collection<? extends DigitalTransferOptions> getDistributorTransferOptions()
    Provides information about the technical means and media used by the distributor.
    Returns:
      Information about the technical means and media used by the distributor.